summaryrefslogtreecommitdiff
path: root/helpers/lh_binary_local-hooks
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-09-23 10:05:12 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:22:25 +0100
commitfdef63e60c2e68226da2fe92d6cc393c1af2b801 (patch)
treea066f2620ba741d786b628d1f9d56bcf38cbd8ea /helpers/lh_binary_local-hooks
parent504c05c3a63de0af4fd0e876274afc039c5c0ed1 (diff)
downloadlive-build-fdef63e60c2e68226da2fe92d6cc393c1af2b801.zip
live-build-fdef63e60c2e68226da2fe92d6cc393c1af2b801.tar.gz
Adding live-helper 1.0~a16-1.
Diffstat (limited to 'helpers/lh_binary_local-hooks')
-rwxr-xr-xhelpers/lh_binary_local-hooks60
1 files changed, 60 insertions, 0 deletions
diff --git a/helpers/lh_binary_local-hooks b/helpers/lh_binary_local-hooks
new file mode 100755
index 0000000..e758247
--- /dev/null
+++ b/helpers/lh_binary_local-hooks
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# lh_binary_local-hooks(1) - execute local hooks in binary
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+ . "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="execute local hooks in binary"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+Echo_message "Begin executing local hooks..."
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/binary_local-hooks
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Processing local-hooks
+if ls config/binary_local-hooks/* > /dev/null 2>&1
+then
+ for HOOK in config/binary_local-hooks/*
+ do
+ # Executing hook
+ ./"${HOOK}"
+ done
+
+ # Creating stage file
+ Create_stagefile .stage/binary_local-hooks
+fi